- Qt 6.6
- Qt GUI
- C++ Classes
- QFontInfo
- Qt 6.6.2 Reference Documentation

# Obsolete Members for QFontInfo

The following members of class QFontInfo are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated)` int | legacyWeight() const

## Member Function Documentation

### int QFontInfo::legacyWeight() const

This function is deprecated. We strongly advise against using it in new code.

Use weight() instead.

Returns the weight of the font converted to the non-standard font weight scale used in Qt 5 and earlier versions.

Since Qt 6, the OpenType standard's font weight scale is used instead of a non-standard scale. This requires conversion from values that use the old scale. For convenience, this function may be used when porting from code which uses the old weight scale.

See also QFont::setWeight(), weight(), and QFontInfo.